# WOK
TKWOK
WOKMake

# WOKMake_HSequenceOfStepOption Class Reference

`#include <WOKMake_HSequenceOfStepOption.hxx>`

## Public Member Functions

| WOKMake_HSequenceOfStepOption ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const WOKMake_StepOption &anItem)
Standard_EXPORT void | Append (const Handle(WOKMake_HSequenceOfStepOption)&aSequence)
Standard_EXPORT void | Prepend (const WOKMake_StepOption &anItem)
Standard_EXPORT void | Prepend (const Handle(WOKMake_HSequenceOfStepOption)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const WOKMake_StepOption &anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(WOKMake_HSequenceOfStepOption)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const WOKMake_StepOption &anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(WOKMake_HSequenceOfStepOption)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_WOKMake_HSequenceOfStepOption | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const WOKMake_StepOption &anItem)
Standard_EXPORT const WOKMake_StepOption & | Value (const Standard_Integer anIndex) const
Standard_EXPORT WOKMake_StepOption & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const WOKMake_SequenceOfStepOption & | Sequence () const
WOKMake_SequenceOfStepOption & | ChangeSequence ()
Standard_EXPORT Handle_WOKMake_HSequenceOfStepOption | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

WOKMake_SequenceOfStepOption | mySequence

## Constructor & Destructor Documentation

WOKMake_HSequenceOfStepOption::WOKMake_HSequenceOfStepOption | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void WOKMake_HSequenceOfStepOption::Append | ( | const Handle(WOKMake_HSequenceOfStepOption)& | aSequence | ) |

Standard_EXPORT void WOKMake_HSequenceOfStepOption::Append | ( | const WOKMake_StepOption & | anItem | ) |

WOKMake_SequenceOfStepOption& WOKMake_HSequenceOfStepOption::ChangeSequence | ( |  | ) |

Standard_EXPORT WOKMake_StepOption& WOKMake_HSequenceOfStepOption::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void WOKMake_HSequenceOfStepOption::Clear | ( |  | ) |

Standard_EXPORT void WOKMake_HSequenceOfStepOption::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const WOKMake_HSequenceOfStepOption::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void WOKMake_HSequenceOfStepOption::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKMake_HSequenceOfStepOption)& | aSequence
| ) |

Standard_EXPORT void WOKMake_HSequenceOfStepOption::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const WOKMake_StepOption & | anItem
| ) |

Standard_EXPORT void WOKMake_HSequenceOfStepOption::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKMake_HSequenceOfStepOption)& | aSequence
| ) |

Standard_EXPORT void WOKMake_HSequenceOfStepOption::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const WOKMake_StepOption & | anItem
| ) |

Standard_Boolean WOKMake_HSequenceOfStepOption::IsEmpty | ( |  | ) | const

Standard_Integer WOKMake_HSequenceOfStepOption::Length | ( |  | ) | const

Standard_EXPORT void WOKMake_HSequenceOfStepOption::Prepend | ( | const Handle(WOKMake_HSequenceOfStepOption)& | aSequence | ) |

Standard_EXPORT void WOKMake_HSequenceOfStepOption::Prepend | ( | const WOKMake_StepOption & | anItem | ) |

Standard_EXPORT void WOKMake_HSequenceOfStepOption::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void WOKMake_HSequenceOfStepOption::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void WOKMake_HSequenceOfStepOption::Reverse | ( |  | ) |

const WOKMake_SequenceOfStepOption& WOKMake_HSequenceOfStepOption::Sequence | ( |  | ) | const

Standard_EXPORT void WOKMake_HSequenceOfStepOption::SetValue | ( | const Standard_Integer | anIndex,
|  | const WOKMake_StepOption & | anItem
| ) |

Standard_EXPORT Handle_WOKMake_HSequenceOfStepOption WOKMake_HSequenceOfStepOption::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_WOKMake_HSequenceOfStepOption WOKMake_HSequenceOfStepOption::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const WOKMake_StepOption& WOKMake_HSequenceOfStepOption::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

WOKMake_SequenceOfStepOption WOKMake_HSequenceOfStepOption::mySequence `[private]`

The documentation for this class was generated from the following file:

- WOKMake_HSequenceOfStepOption.hxx